Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena.vocabulary
Class OWL_1_1

    java.lang.Object
      com.hp.hpl.jena.vocabulary.OWL
          org.mindswap.pellet.jena.vocabulary.OWL_1_1

    public class OWL_1_1

extends com.hp.hpl.jena.vocabulary.OWL

Field Summary
`static com.hp.hpl.jena.rdf.model.Resource` | `AntisymmetricProperty`
`static com.hp.hpl.jena.rdf.model.Property` | `dataComplementOf`
`static com.hp.hpl.jena.rdf.model.Property` | `disjointDataProperties`
`static com.hp.hpl.jena.rdf.model.Property` | `disjointObjectProperties`
`static com.hp.hpl.jena.rdf.model.Property` | `disjointUnionOf`
`static com.hp.hpl.jena.rdf.model.Property` | `enumeration`
`static com.hp.hpl.jena.rdf.model.Property` | `fractionDigits`
`static com.hp.hpl.jena.rdf.model.Resource` | `IrreflexiveProperty`
`static com.hp.hpl.jena.rdf.model.Property` | `length`
`static com.hp.hpl.jena.rdf.model.Property` | `maxExclusive`
`static com.hp.hpl.jena.rdf.model.Property` | `maxInclusive`
`static com.hp.hpl.jena.rdf.model.Property` | `maxLength`
`static com.hp.hpl.jena.rdf.model.Property` | `minExclusive`
`static com.hp.hpl.jena.rdf.model.Property` | `minInclusive`
`static com.hp.hpl.jena.rdf.model.Property` | `minLength`
`static com.hp.hpl.jena.rdf.model.Resource` | `NegativeDataPropertyAssertion`
`static com.hp.hpl.jena.rdf.model.Resource` | `NegativeObjectPropertyAssertion`
`static java.lang.String` | `NS`
`static com.hp.hpl.jena.rdf.model.Property` | `onClass`
`static com.hp.hpl.jena.rdf.model.Property` | `onDataRange`
`static com.hp.hpl.jena.rdf.model.Property` | `pattern`
`static com.hp.hpl.jena.rdf.model.Resource` | `ReflexiveProperty`
`static com.hp.hpl.jena.rdf.model.Resource` | `SelfRestriction`
`static com.hp.hpl.jena.rdf.model.Property` | `totalDigits`
`static com.hp.hpl.jena.rdf.model.Property` | `whiteSpace`

Fields inherited from class com.hp.hpl.jena.vocabulary.OWL
`AllDifferent, allValuesFrom, AnnotationProperty, backwardCompatibleWith, cardinality, Class, complementOf, DataRange, DatatypeProperty, DeprecatedClass, DeprecatedProperty, differentFrom, disjointWith, distinctMembers, DL_LANG, equivalentClass, equivalentProperty, FULL_LANG, FunctionalProperty, hasValue, imports, incompatibleWith, intersectionOf, InverseFunctionalProperty, inverseOf, LITE_LANG, maxCardinality, minCardinality, NAMESPACE, Nothing, ObjectProperty, oneOf, onProperty, Ontology, OntologyProperty, priorVersion, Restriction, sameAs, someValuesFrom, SymmetricProperty, Thing, TransitiveProperty, unionOf, versionInfo`

Constructor Summary
`OWL_1_1()`

Method Summary

Methods inherited from class com.hp.hpl.jena.vocabulary.OWL
`getURI`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

See Also:
  Constant Field Values

### ReflexiveProperty

    public static final com.hp.hpl.jena.rdf.model.Resource ReflexiveProperty

### IrreflexiveProperty

    public static final com.hp.hpl.jena.rdf.model.Resource IrreflexiveProperty

### AntisymmetricProperty

    public static final com.hp.hpl.jena.rdf.model.Resource AntisymmetricProperty

### SelfRestriction

    public static final com.hp.hpl.jena.rdf.model.Resource SelfRestriction

### NegativeObjectPropertyAssertion

    public static final com.hp.hpl.jena.rdf.model.Resource NegativeObjectPropertyAssertion

### NegativeDataPropertyAssertion

    public static final com.hp.hpl.jena.rdf.model.Resource NegativeDataPropertyAssertion

### disjointUnionOf

    public static final com.hp.hpl.jena.rdf.model.Property disjointUnionOf

### disjointObjectProperties

    public static final com.hp.hpl.jena.rdf.model.Property disjointObjectProperties

### disjointDataProperties

    public static final com.hp.hpl.jena.rdf.model.Property disjointDataProperties

### onClass

    public static final com.hp.hpl.jena.rdf.model.Property onClass

### onDataRange

    public static final com.hp.hpl.jena.rdf.model.Property onDataRange

### dataComplementOf

    public static final com.hp.hpl.jena.rdf.model.Property dataComplementOf

### length

    public static final com.hp.hpl.jena.rdf.model.Property length

### maxLength

    public static final com.hp.hpl.jena.rdf.model.Property maxLength

### minLength

    public static final com.hp.hpl.jena.rdf.model.Property minLength

### enumeration

    public static final com.hp.hpl.jena.rdf.model.Property enumeration

### totalDigits

    public static final com.hp.hpl.jena.rdf.model.Property totalDigits

### fractionDigits

    public static final com.hp.hpl.jena.rdf.model.Property fractionDigits

### minInclusive

    public static final com.hp.hpl.jena.rdf.model.Property minInclusive

### minExclusive

    public static final com.hp.hpl.jena.rdf.model.Property minExclusive

### maxInclusive

    public static final com.hp.hpl.jena.rdf.model.Property maxInclusive

### maxExclusive

    public static final com.hp.hpl.jena.rdf.model.Property maxExclusive

### pattern

    public static final com.hp.hpl.jena.rdf.model.Property pattern

### whiteSpace

    public static final com.hp.hpl.jena.rdf.model.Property whiteSpace

Constructor Detail

### OWL_1_1

    public OWL_1_1()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.